blob_id stringlengths 40 40 | language stringclasses 1
value | repo_name stringlengths 4 115 | path stringlengths 2 970 | src_encoding stringclasses 28
values | length_bytes int64 31 5.38M | score float64 2.52 5.28 | int_score int64 3 5 | detected_licenses listlengths 0 161 | license_type stringclasses 2
values | text stringlengths 31 5.39M | download_success bool 1
class |
|---|---|---|---|---|---|---|---|---|---|---|---|
472be23f7e9fe1eed395fe37d86c9cc175d91010 | Shell | janelee1618/ACRES_MPI_tutorial | /mpi_examples/run_job.qsub | UTF-8 | 1,006 | 2.96875 | 3 | [] | no_license | #!/bin/bash --login
### Set PBS parameters ###
# Time job will take to execute (HH:MM:SS format)
#PBS -l walltime=01:00:00
### # Memory needed by the job (not strictly necessary, hence commented out by default)
### #PBS -l mem=2gb
# Number of nodes required and the number of processors per node
# For the MSU HPCC, ... | true |
4977dee7e5d89a560d753901de898012624f4fc8 | Shell | 8l/insieme | /scripts/shark_install.sh | UTF-8 | 1,524 | 3.1875 | 3 | [] | no_license | # setup environment variables
. ./environment.setup
VERSION=2.3.4
########################################################################
## SHARK
########################################################################
if [ -d $PREFIX/shark-$VERSION ]; then
e... | true |
3d83b7b556e4c79b685ce447b6215864d050bc26 | Shell | chongchuanbing/SourceTreeCustomAction | /merge_commit.sh | UTF-8 | 144 | 3.046875 | 3 | [] | no_license | #!/bin/bash --posix
argoCount=$#
for ((i=1;i<=argoCount;i++))
do
commitId=${!i}
echo 'commitId:' $commitId
git cherry-pick $commitId
done
| true |
343713db663d8a7af79fde9aa85c3564f30f4e38 | Shell | hchiam/sn-prompt-generator | /copy-to-public-folder.sh | UTF-8 | 1,146 | 4.03125 | 4 | [
"MIT"
] | permissive | #!/bin/bash
# to run this file in CLI: bash copy-to-public-folder.sh
echo
echo "Please wait."
# create public folder if it doesn't exist already
if ! [ -e public ]
then
mkdir public
fi
# empty public folder if it has anything in it:
if [[ -e public/* ]]
then
rm public/*
fi
# check if npm is installed:
if ! [ -... | true |
779c8d2d2f3efd0007bf0b87a7fa376903042b2f | Shell | wendellpbarreto/tronco | /restart_db.sh | UTF-8 | 1,014 | 3.21875 | 3 | [
"MIT"
] | permissive | #!/bin/bash
#
#-----------------------------------
# @autor: Wendell P. Barreto
# @email: wendellp.barreto@gmail.com
# @project: tronco
# @doc: restart_db.sh
# ----------------------------------
while true; do
read -p "Are you using Linux (y or n)? " yn
case $yn in
[Yy]* )
sudo -u postgres ps... | true |
b154141d2932d4225e6305bcf335f296b37a6313 | Shell | bluestar/cloud-init | /modules/init-zypper.sh | UTF-8 | 120 | 2.609375 | 3 | [
"MIT"
] | permissive | #!/bin/bash
if [ -x "$(command -v zypper)" ]; then
echo "init zypper module"
zypper --non-interactive install jq
fi | true |
aa4cd9520c66609e7147c02d8ac71390820042ae | Shell | kenshin912/Note | /Script/Bash/supervisord.sh | UTF-8 | 1,724 | 4.15625 | 4 | [] | no_license | #!/bin/bash
ContainerID=`/usr/bin/docker ps | grep php:latest | awk -F " " '{print $1}'`
ContainerIDArray=(${ContainerID})
#echo ${ContainerIDArray[0]}
#echo ${#ContainerIDArray[*]}
CONTROL=(start restart status)
# show supervisord status & exit script
if [ "${1}" == "status" ];then
for Container in ${Container... | true |
cab07bd00b356a65191978a4d003c26ae6e2d3f2 | Shell | mgrubb/scripts | /setupsys.sh | UTF-8 | 2,451 | 3.234375 | 3 | [] | no_license | #!/bin/ksh
# setup a new environment from scratch
# this is incomplete but is a start.
# TODO: install macports and common ports
# TODO: install TexLive
# TODO: Update with other needed software
# TODO: Download vim setup
CORE_SERVICES="/System/Library/Frameworks/CoreServices.framework"
CORE_SERVICES="$CORE_SERVICES/V... | true |
1bfe0bc526dcc32cfcfc1354beafa4c7e4ab7b15 | Shell | slash-segmentation/CHM | /wrappers/panfish/scripts/runMergeTilesViaPanfish.sh | UTF-8 | 7,812 | 3.890625 | 4 | [
"BSD-2-Clause",
"LicenseRef-scancode-warranty-disclaimer"
] | permissive | #!/bin/sh
function usage() {
echo -e "Run Merge Tiles via Panfish.
This program runs Merge Tiles on grid compute resources via Panfish. The
jobs are defined via runMergeTiles.sh.config file that must reside
in the same directory as this script.
runMergeTilesViaPanfish.sh <optional arguments>
Optional Arguments:... | true |
9a2ec43af30b3e54fddd7f8ae7f7a7e505192296 | Shell | sbabashahi/battery-discharging | /battery.sh | UTF-8 | 844 | 3.109375 | 3 | [] | no_license | #!/bin/bash
##Simple unpluged ac adapter warning for those laptops which has a broken battery
##Use It in startup apps
##Test in: Dell Inspiron
##
while true
do
#check adapter status
bat=$(upower -i /org/freedesktop/UPower/devices/battery_BAT0 | grep state| awk '{print $2}')
if [ "$bat" == "discharging" ]; then
... | true |
15bd844dd33d1d2dfaff6789053979eaa549e628 | Shell | kamir/ks-inspector | /bin/setenv.sh | UTF-8 | 1,387 | 2.671875 | 3 | [
"Apache-2.0"
] | permissive | #=======================================================================================================================
# Example : How to provide Cluster Credentials via ENV-Variables to the KST tool?
#====================================================================================================================... | true |
2a81248a6aaf4f3f9e70db124f9f66e363f156ef | Shell | benitol87/unix-tp-html | /galerie-shell.sh | UTF-8 | 4,959 | 4.21875 | 4 | [] | no_license | #! /bin/sh
#####################################################
# Script permettant de générer une galerie d'images #
# (cf galerie-shell-help.txt pour la syntaxe) #
#####################################################
######### Initialisations #############
# Pour que les boucles for fonctionnent correctemen... | true |
2b34a0093e1e0c0d834e753d46e8db62405054ef | Shell | kamir/etosha | /etosha-parent/etosha-examples/MRJob-Profiles/Simple_IO_BenchMark_1.sh | UTF-8 | 1,018 | 2.734375 | 3 | [] | no_license | NOW=$(date +"%m-%d-%Y-%h-%s")
FILE="tg2.$NOW"
echo "# work on file: $FILE"
mkdir temp
export NRLINES="100000"
export EXAMPLEJAR="/usr/lib/hadoop-mapreduce/hadoop-mapreduce-examples.jar"
ssh training@elephant hadoop jar $EXAMPLEJAR teragen $NRLINES $FILE
export OPTS1="-Dio.sort.mb=256 -Dio.sort.factor=20 -Dmapreduce.... | true |
67f8027c207af4687441dbbb4b9df7b8b16d780a | Shell | KazAoyama/KaigoSystem | /E-LIFE/UNEI/CGI/POP_KOJINJYOUHOU_SHOUSAI_KAIGOHOKEN.SEARCH | UTF-8 | 6,555 | 3.5625 | 4 | [] | no_license | #!/bin/bash
#
# POP_KOJINJYOUHOU_SHOUSAI_RENRAKUSAKI.SEARCH
# 個人情報詳細(口座)POPUP
#
# Written by E.Okuda (Tokyu-hands.co.jp) :2013/12/13
#--------------------------------------------------------------
# ログ
# ログ
exec 2> /home/hands/E-LIFE/UNEI/APLOG/LOG.$(basename ${0}).${HOSTNAME}.$(date "+%Y%m%d"); set -xv
source /home/... | true |
6fa221102eb753de94d43ab9bea7b231cfb57175 | Shell | Zabrane/piqi-erlang | /make/get-piqi-binary | UTF-8 | 725 | 4.03125 | 4 | [
"Apache-2.0"
] | permissive | #!/bin/sh
#
# copies pre-built piqi binary from the piqi_binary rebar dependency to
# ./priv/piqi-binary/$os_version
#
# alternatively, when $PIQI environment variable is defined, it is used as
# source path for copying piqi binary
set -e
os_version=`uname -s`-`uname -m`
piqi_dir="priv/piqi-binary/$os_version"
# c... | true |
08877566e1ad333e3e51c917722f2ef2ef9c28d6 | Shell | arenadata/bigtop | /bigtop-tests/smoke-tests/odpi-runtime/src/main/resources/api-examiner-prep.sh | UTF-8 | 2,979 | 3.46875 | 3 | [
"Apache-2.0",
"FreeBSD-DOC",
"MIT",
"DOC"
] | permissive | #!/usr/bin/env bash
############################################################################
#
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements. See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership. The AS... | true |
087e1d97ed852d598b54c3c625d4fa3340aeebf3 | Shell | TheDen/0xfee1dead.top | /htopgen.sh | UTF-8 | 298 | 2.5625 | 3 | [
"MIT"
] | permissive | #!/bin/bash
touch public/htop.html
touch public/htop.html.aux
while true; do
echo q | htop | aha --stylesheet --black --line-fix | sed 's/<\/style>/body {overflow-x: hidden; font-size: 2vh;}<\/style>/g' > ./public/htop.html.aux && mv -f ./public/htop.html.aux ./public/htop.html
sleep 2
done
| true |
2b13a50c1648002221f708349d2b21f3c89045e4 | Shell | grpc/grpc-java | /buildscripts/run_arm64_tests_in_docker.sh | UTF-8 | 2,046 | 3.546875 | 4 | [
"Apache-2.0"
] | permissive | #!/bin/bash
set -ex
readonly grpc_java_dir="$(dirname "$(readlink -f "$0")")/.."
if [[ -t 0 ]]; then
DOCKER_ARGS="-it"
else
# The input device on kokoro is not a TTY, so -it does not work.
DOCKER_ARGS=
fi
cat <<EOF >> "${grpc_java_dir}/gradle.properties"
skipAndroid=true
skipCodegen=true
org.gradle.parallel=t... | true |
4e5e6dc3ed45864812588143e7b97181844336b6 | Shell | jia-jerry/gardener | /hack/compare-k8s-feature-gates.sh | UTF-8 | 2,523 | 3.625 | 4 | [
"Apache-2.0",
"MPL-2.0",
"BSD-3-Clause",
"MPL-1.1",
"MIT",
"BSD-2-Clause"
] | permissive | #!/bin/bash
#
# Copyright (c) 2021 SAP SE or an SAP affiliate company. All rights reserved. This file is licensed under the Apache Software License, v. 2 except as noted otherwise in the LICENSE file
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance wit... | true |
7bf320353d55966638042835b6844e26033082bf | Shell | ggerganov/llama.cpp | /examples/jeopardy/jeopardy.sh | UTF-8 | 846 | 3.640625 | 4 | [
"MIT"
] | permissive | #!/bin/bash
set -e
MODEL=./models/ggml-vicuna-13b-1.1-q4_0.bin
MODEL_NAME=Vicuna
# exec options
prefix="Human: " # Ex. Vicuna uses "Human: "
opts="--temp 0 -n 80" # additional flags
nl='
'
introduction="You will be playing a game of Jeopardy. Simply answer the question in the correct format (Ex. What is Paris, or Who... | true |
74671e6ae1dbf145cd55bc8d892b6281e5675139 | Shell | curieuxjy/academy | /tools/start-ray.sh | UTF-8 | 969 | 4.15625 | 4 | [
"Apache-2.0"
] | permissive | #!/usr/bin/env bash
help() {
cat <<EOF
Check if Ray is already running on the current node. If not start it as the head node.
Usage: $0 [-h|--help] [-c|--check|--check-only]
Where:
-h|--help Print this message and exit
-c|--check|--check-only Only check if Ray is running, returning exit code 0 if ... | true |
69dbf6c0fce5d58a4922d73c6701bfd6e43fdb99 | Shell | binoyjayan/utilities | /scripts/writea | UTF-8 | 781 | 4.0625 | 4 | [] | no_license | #!/bin/bash
# Script to send message to all users logged in the machine
# Or to a specific user except the current user
usage()
{
cat <<ENDHERE
Usage:
writea <message in quotes> [user]
ENDHERE
}
if [ "$1" == "" ]
then
usage
exit
fi
me=`whoami`
count=0
who |
while read -r line
do
usr=`echo $line | awk '{print... | true |
0c6509d0a9e68183f7a507ba10178caca3b01d38 | Shell | greg-erskine/pCP-github | /www/cgi-bin/pcp-rpi-functions | UTF-8 | 11,682 | 3.09375 | 3 | [] | no_license | #!/bin/sh
# pcp-rpi-functions
# These are the common Raspberry Pi functions used by piCorePlayer.
# Version: 6.0.0 2020-03-01
pcp_debug_log "$0 - Running pcp-rpi-functions..."
#========================================================================================
# Determine revisions and features of Raspberry Pi
... | true |
0f9d29c44f24c51c1719a7b64190a53a60e8f1e7 | Shell | shaileshmshinde/bash-scripting | /elif.sh | UTF-8 | 284 | 3.203125 | 3 | [
"MIT"
] | permissive | #!/bin/bash
read -p "Type any Number : " N
if [ $N -gt 0 ];then
echo "It's +Ve Number"
elif [ $N -lt 0 ]; then
echo "It's-Ve Number"
elif [ $N -eq 0 ]; then
echo "It's Zero"
else
echo ""
echo "It's not a number Type a number,"
fi
| true |
48dc649310d274b3c8537d742f1e2c1b1884e862 | Shell | mhoofe/mybash | /profile_scripts/limits.sh | UTF-8 | 332 | 3.09375 | 3 | [] | no_license |
# Update 'maxfiles' limits
set_maxfiles=65536
current_maxfiles=`ulimit -n`
if [ $set_maxfiles -gt $current_maxfiles ]; then
ulimit -n $set_maxfiles # 2> /dev/null
fi
# Update 'maxproc' limits
set_maxproc=2049
current_maxproc=`ulimit -u`
if [ $set_maxproc -gt $current_maxproc ]; then
ulimit -u $set_maxproc # 2> /d... | true |
ecbb45da3d4a314278a1dc2fb631f45ea84a16dc | Shell | marcus-grant/dotfiles-archive | /bash/prompts/choose-prompt.sh | UTF-8 | 2,538 | 4.84375 | 5 | [
"MIT"
] | permissive | #!/bin/bash
# a simple helper script to swap the link for prompt-link when changing prompt
main() {
# need the absolute path to the prompts directory
PROMTPS_DIR_PATH="$(get-script-dir)"
NUM_ARGS=$#
DESIRED_PROMPT="$(validate-args "$@")"
PROMPT_LINK_PATH="$PROMTPS_DIR_PATH/prompt-link"
swap-pro... | true |
34235238aed13c1bffd5dacefbdda8707c14e06f | Shell | sladonia/calendar_service | /create_migrations.sh | UTF-8 | 277 | 3.53125 | 4 | [] | no_license | #!/bin/sh
print_usage()
{
echo "usage":
echo "./create_migrations.sh migration_name"
}
create_migration()
{
migrate create -ext sql -dir migrations -seq $MIGRATION_NMAE
}
MIGRATION_NMAE="$1"
if [ "$MIGRATION_NMAE" = "" ]
then
print_usage
exit
fi
create_migration
| true |
0e27ecd7366888e4b9a67b560463587b4f6379d1 | Shell | cyberflow/ceph-chef | /files/ceph_journal.sh | UTF-8 | 2,008 | 3.59375 | 4 | [
"Apache-2.0"
] | permissive | #!/bin/bash
#
# Author:: Chris Jones <cjones303@bloomberg.net>
#
# Copyright 2016, Bloomberg Finance L.P.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LI... | true |
845b25e70829100d7d59b46a416e66780177d99b | Shell | MattiasBerg/PSV_ID2NAME | /make_database.sh | UTF-8 | 915 | 3.765625 | 4 | [] | no_license | #!/bin/bash
echo ""
# Convert TSV (Tab-separated Values) to CSV (Comma-Separated Values)
# I dont really know why i did it this way, could probably
# have used a Tab-Separated file to.. But who cares..
echo "Convert tsv to csv PSV_GAMES.tsv -> PSV_GAMES.csv"
cat PSV_GAMES.tsv | cut -f1-3 |tr "\\t" "," > PSV_GAMES... | true |
b76ff16515dfcab1c8d6f49abdd302def0d5a016 | Shell | umarfarooqkt/git-made-easy_scripts | /pull_project | UTF-8 | 465 | 3.4375 | 3 | [] | no_license | #!/bin/bash
cd `cat ~/.git_root`
project=$1
if [[ $project = *[!\ ]* ]]; then
echo "creating project" $project
else
echo "project consists of spaces only, aborting"
exit 1;
fi
repo=$1_repo
cd $project
date > .update-${username}
git add --all
git commit -m "downloading from repo"
git config --global core.editor ... | true |
516920c0e433bbdd081e288acd7002eefbf58749 | Shell | zapiens/dag-home | /bin/gi | UTF-8 | 267 | 3.515625 | 4 | [] | no_license | #!/bin/bash
if [[ -d $1 ]]; then
cat - > $1/.gitignore <<EOF
# Ignore everything in this directory
*
# Except this file
!.gitignore
EOF
git add -f $1/.gitignore
echo "$1/.gitignore: " "$(head -n1 $1/.gitignore)"
else
echo "$0: \"$1\" is Not a directory"
fi
| true |
a4c6675c23c9e41bbb7abce22cd7554077915fd6 | Shell | timausk/dotfiles | /scripts/helper.sh | UTF-8 | 1,876 | 3.734375 | 4 | [
"MIT",
"LicenseRef-scancode-warranty-disclaimer"
] | permissive | #!/bin/bash
# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
# helper.sh
#
# shell helper function
# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
# - - - - - - - - - - - - - - - - - - - - - - - - -
# beautiful output
print_in_color() {
printf "%b" \
"$(tput setaf "$2" 2> /dev/nu... | true |
0c3569bb764a2a497adf963dd56f64db12c86215 | Shell | Vaa3D/vaa3d_tools | /hackathon/zhi/neuTube_zhi/update_library | UTF-8 | 656 | 2.515625 | 3 | [
"MIT"
] | permissive | #!/bin/bash
cd ../../../released_plugins/v3d_plugins/neurontracing_neutube/src_neutube/neurolabi/
./update_library_64 --enable-shared
cd lib/
libdir=`pwd`
if [ ! -d fftw3 ]
then
mkdir fftw3
fi
echo 'Building libfftw3 ...'
tar -xvf fftw-3.3.2.tar.gz
cd fftw-3.3.2
./configure --enable-shared --prefix=${libdir}/ff... | true |
6c742e2fdf2ead9445081ffdc375bf33fc453060 | Shell | frantony/clab | /build-all.sh | UTF-8 | 448 | 2.9375 | 3 | [] | no_license | #!/bin/sh
CONFIGS=""
CONFIGS="$CONFIGS i686-pc"
CONFIGS="$CONFIGS sparc-ss20"
CONFIGS="$CONFIGS arm-versatile"
CONFIGS="$CONFIGS mips-malta"
for i in $CONFIGS;
do
./build.sh --config build-configs/$i \
--build-toolchain \
--build-qemu \
if [ "$?" != "0" ]; then
exit 1
fi
./build.sh --config build-configs/... | true |
3c23cfa388c74ae87848a152b0371e14a2887216 | Shell | made-ml-in-prod-2021/made-robotics | /week03_turtle_world_first_node/turtle.sh | UTF-8 | 1,607 | 2.671875 | 3 | [
"Apache-2.0"
] | permissive | # get docker image
docker pull osrf/ros:melodic-desktop-full
docker run -ti --rm --privileged --net=host -e DISPLAY=$IP:0 -v /tmp/.X11-unix:/tmp/.X11-unix osrf/ros:melodic-desktop-full
# start image with graphical interface forwarded to host
docker run -e DISPLAY=unix$DISPLAY -v /tmp/.X11-unix:/tmp/.X11-unix -it osrf... | true |
9c4fc4ee1c1145f574f6c803182878473c53b834 | Shell | NJKode/dotfiles | /bin/find-unused-images | UTF-8 | 336 | 4.125 | 4 | [] | no_license | #!/bin/bash
SEARCHER='grep -r -l '
DIR=.
if [ -n "$1" ]
then
DIR=$1
fi
# Find image files in.
FILES=`find $DIR -type f | grep ".*\.\(jpg\|gif\|png\|jpeg\)"`
# Loop over image files.
for f in $FILES
do
if [[ -f $f ]]
then
name=$(basename $f)
found=$($SEARCHER $name $DIR)
if [[ -z $found ]]
then
echo $... | true |
e9cf5d98f1ade857d86f7935d068a21c16612b65 | Shell | UFSC/moodle-provas-livecd-provas | /packages/src_3rd_party/patch-lxsession/_build.sh | UTF-8 | 1,090 | 3.8125 | 4 | [] | no_license | #!/bin/bash
pkg="lxsession"
tmp="tmp_build"
pkgs_deb="../pacotes_gerados"
apt-get -y install build-essential fakeroot dpkg-dev >/dev/null 2>&1
if [ ! -d $pkgs_deb ]; then
mkdir $pkgs_deb
fi
if [ -d $tmp ]; then
rm -rf $tmp
fi
mkdir $tmp
cd $tmp
function get_error() {
status=$1
if [ ! $status -eq 0 ]... | true |
d7a719d8d8807e0c8e80467ea3fe47cbbbbd3065 | Shell | percona/pmm-demo | /loader/defrag_extra | UTF-8 | 297 | 2.703125 | 3 | [] | no_license | #!/bin/sh
set -o xtrace
DBNAME=defrag
SOCKET=${1:-/var/lib/mysql/mysql.sock}
while true; do
mysql \
--socket=$SOCKET \
--user=sbtest \
--password=sbtest \
--database=${DBNAME} \
-e "
OPTIMIZE TABLE sbtest1;
"
sleep 5
done
| true |
052e8e31ee0b59a3928dd80d60f33bea338134e3 | Shell | gaixas1/rinaApps | /compile.sh | UTF-8 | 1,958 | 3.484375 | 3 | [] | no_license | #!/bin/bash
rina_include="/irati/include/"
rina_lib="/irati/lib/librina-api.so"
build_path="./bin/"
debug=0
info=0
max_pdu=1400
buffer_size=1400
usage(){ echo "Usage: $0 [-h] [-i <string>] [-l <string>] [-b <string>] [-p <int>] [-d] [-f].
i : include path, default \"${rina_include}\"
l : rina lib, default \"${rina_li... | true |
27cf50e2890935888752e68177347c0007e7bf32 | Shell | neoncyrex/students | /Alexey/final-test/centos-deployment.sh | UTF-8 | 840 | 2.78125 | 3 | [
"BSD-3-Clause"
] | permissive | sudo useradd -m exam
sudo echo Ansible123|passwd --stdin exam
sudo echo "exam ALL=(ALL) NOPASSWD: ALL" > /etc/sudoers.d/exam
sudo useradd -m deployer
sudo echo Ansible123|passwd --stdin deployer
sudo echo "deployer ALL=(ALL) NOPASSWD: ALL" > /etc/sudoers.d/deployer
mkdir /home/exam/.ssh
chown exam:exam /home/exam/.ssh
... | true |
d3385b2ba9a3a83bed8b7291b18d941bbf8bdaac | Shell | gdsoares/nad | /linux-init/rhel-init | UTF-8 | 2,193 | 3.84375 | 4 | [] | no_license | #!/bin/bash
#
# nad Startup script for Circonus Node Agent Daemon
#
# chkconfig: - 98 02
# description: Circonus Node Agent Daemon
# processname: nad
#
### BEGIN INIT INFO
# Provides: nad
# Required-Start: $local_fs
# Required-Stop: $local_fs
# Default-Start: 2 3 4 5
# Default-Stop: 0 1 ... | true |
df56e07aad02e0f411b98598598540e0301e26f7 | Shell | jheiselman/utilities | /monitoring/check_ssh_load | UTF-8 | 357 | 3.640625 | 4 | [
"MIT"
] | permissive | #!/bin/sh
[ -z $1 ] && echo "$0: must supply hostname/IP address" >&2 && exit 1
host=$1
output=$(ssh $host uptime)
load_avgs="${output##*:}"
load_avgs="${load_avgs#*, }"
load5="${load_avgs%,*}"
retval=$(echo "$load5 > 1.73" |bc)
if [ $retval -eq 1 ]; then
echo "BAD;5 minute load average is $load5"
else
echo "OK... | true |
56436b92ec307e6ddee9379d185f0fd8fb540bd4 | Shell | orolhawion/microservice-lightweight-competion- | /src/main/comparison/measureLightness.sh | UTF-8 | 1,794 | 3.46875 | 3 | [] | no_license | #!/usr/bin/env bash
function log {
echo =============
echo $1
echo =============
}
function echoSizeOfFile {
wc -c $1
}
function countAllLOCs {
find $1 \( -name "*.java" -or -name "*.xml" -or -name "*.xml" -or -name "*.yaml" -or -name "*.go" -or -name "*.hs" \) -exec cat "{}" \; | wc -l
}
functi... | true |
70ff8d977faf9dbfe31118429065f63a6a5da7ab | Shell | enefry/aria2php | /__RPI_CONFIGS/init.d/aria2cRPC | UTF-8 | 1,068 | 3.640625 | 4 | [
"MIT"
] | permissive | #! /bin/sh
# /etc/init.d/aria2cRPC
### BEGIN INIT INFO
# Provides: aria2cRPC
# Required-Start: $network $local_fs $remote_fs
# Required-Stop: $network $local_fs $remote_fs
# Default-Start: 2 3 4 5
# Default-Stop: 0 1 6
# Short-Description: aria2c RPC init script.
# Description: Starts and stops aria2 RPC services.
###... | true |
4ea2f6997aa5711a98ac27d58b110e63c9313725 | Shell | Alieo/PiHealth_Monitor | /shell/Proc.sh | UTF-8 | 604 | 3.53125 | 4 | [] | no_license | #!/bin/bash
#恶意进程
#执行ps, 如果找到有cpu%或mem%大于50, 暂停5s, 在重新执行一次ps, 如果这个大于50的数仍存在, 把它的进程名, PID, 用户, CPU%, MEM%输出出来
#如果没找到有大于50的, 则退出脚本
Timenow=`date +"%Y-%m-%d__%H:%M:%S"`
Mem=`ps -aux -h | awk '{ if ($3 > 50 || $4 > 50) {printf("%d", $2);} }'`
if [[ $Mem ]];then
sleep 5
else exit 0
fi
Process=`ps -aux -h | awk -v time=$... | true |
37036a8e4c3a5df49cae1d3dd73cb0ef82bba7e4 | Shell | hoverzheng/beanstalkd | /ct/gen | UTF-8 | 743 | 3.765625 | 4 | [
"MIT"
] | permissive | #!/bin/sh
set -e
fixsyms() {
if test "`uname -s|tr A-Z a-z`" = darwin
then egrep -v [.] | egrep ^_ | sed s/^_//
else cat
fi
}
syms() {
prefix=$1
shift
for f in "$@"
do nm $f
done | cut -d ' ' -f 3 | fixsyms | egrep ^$prefix
}
ts=`syms cttest "$@" || true`
bs=`syms ctbench "$@" ||... | true |
17646b0a296b2fb0b9de4c0bf85d675aed3ace1f | Shell | gryphonshafer/.conf | /util/exit_wrap | UTF-8 | 271 | 3.1875 | 3 | [
"MIT"
] | permissive | #!/bin/sh
# Intent: Wrapper to limit exit values from Perl tests to allow git bisect to work
# Usage:
# git bisect start HEAD 1234567
# git bisect run exit_wrap t/test.t
# git bisect reset
$*
rv=$?
if [ $rv -gt 127 ]
then
exit 127
else
exit $rv
fi
| true |
2934a2fae235a41f3ac625966b26c2a2ef9fbade | Shell | kiskeyix/applications | /scripts/make-kpkg.sh | UTF-8 | 7,404 | 3.453125 | 3 | [] | no_license | #!/bin/bash
# vim: ft=sh:columns=80 :
# $Revision: 1.48 $
# $Date: 2006-03-25 14:53:36 $
#
# Luis Mondesi < lemsx1@gmail.com >
#
# URL: http://lems.kiskeyix.org/toolbox/?f=make-kpkg.sh&d=1
#
# DESCRIPTION: an interactive wrapper to Debian's "make-kpkg"
# to build a custom kernel package using
# ... | true |
d26a4500368475a9ab056bdaa9934ae9a7edba57 | Shell | calebrwalk5/cheatsheet | /bash-cheatsheet.sh | UTF-8 | 106 | 2.796875 | 3 | [] | no_license | #!/bin/bash
if [ 1 = 1 ];
then
echo "one equals one"
fi
if [ 1 = 2 ];
then
echo "one equals two"
fi
| true |
9c34928d1644c4f065f4ef741b0f6654cdcc3296 | Shell | seler/cms | /cms_test/reset | UTF-8 | 331 | 2.59375 | 3 | [] | no_license | #!/bin/bash
ip=`ifconfig | grep 'inet addr:'| grep -v '127.0.0.1' | cut -d: -f2 | awk '{ print $1}'`
rm cms.db
#sed s/'^ *"domain": "[0-9]\{1,3\}\.[0-9]\{1,3\}\.[0-9]\{1,3\}\.[0-9]\{1,3\}"$'/' "domain": "'$ip'"'/ initial_data.json > initial_data.json
python manage.py syncdb --noinput
sudo python manage.py runser... | true |
5d36e7d99515e3e851d2fe8cd3c0b4d30a39d632 | Shell | khmrang2/JARAM_study | /HyunNa/Day05/ex00/option.sh | UTF-8 | 112 | 2.84375 | 3 | [] | no_license | #!/bin/bash
if [ "$1" == "-h" ]; then
echo "hello"
exit 0
elif [ "$1" == "-b" ]; then
echo "bye"
exit 0
fi
| true |
ccd0c4844992937c8b3551197c6cbc612a454568 | Shell | lifansama/btsync-key | /play.sh | UTF-8 | 3,476 | 3.59375 | 4 | [] | no_license | #!/bin/bash
PATH=/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin:~/bin
export PATH
#=================================================================#
# System Required: CentOS7 X86_64 #
# Description: FFmpeg Stream Media Server #
# Author: LALA ... | true |
71844c4c400f2699c2255d7e6c1217627a399eaa | Shell | UplinkCoder/dmd | /test/runnable/test9377.sh | UTF-8 | 527 | 2.96875 | 3 | [
"BSL-1.0"
] | permissive | #!/usr/bin/env bash
src=runnable${SEP}extra-files
dir=${RESULTS_DIR}${SEP}runnable
output_file=${dir}/test9377.sh.out
if [ $OS == "win32" -o $OS == "win64" ]; then
LIBEXT=.lib
else
LIBEXT=.a
fi
libname=${dir}${SEP}lib9377${LIBEXT}
$DMD -m${MODEL} -I${src} -of${libname} -c ${src}${SEP}mul9377a.d ${src}${SEP}mul937... | true |
8b6b37b61a2d51079470dd31c9d3ccd99ff2ca2a | Shell | sarachour/topaz | /benchmarks/barnes/run_batching.sh | UTF-8 | 270 | 2.921875 | 3 | [] | no_license |
TAG=$1
rm src/nbody_sim.tpz
cp "src/nbody_sim.$TAG.tpz" src/nbody_sim.tpz
make clean; make || exit 1
rm -rf output
cp -r "output-$TAG" output
if [ ! -d output ]; then
echo "no output directory"
exit 1
fi
./run_barn_batch.sh
rm -rf output-$TAG
mv output output-$TAG
| true |
c05f7bd3686f2d6b3aa9bd7274df7f1844ec7f8a | Shell | allwaysoft/DIVERSOS_PROJETOS | /Oracle/Capitulo_DataPump/05_Exportando_BD.sh | UTF-8 | 1,169 | 2.609375 | 3 | [] | no_license | -- tente fazer um export FULL com o usuario HR e veja o erro de falta de privilegios:
$ expdp hr/hr FULL=YES DUMPFILE=orclfs_full.dmp DIRECTORY=DP_DIR
-- conectado com SYS conceda os privilegios abaixo para o usuario HR:
sql> GRANT DATAPUMP_EXP_FULL_DATABASE TO HR;
-- conectado com HR faca um export FULL do BD:
$ exp... | true |
68ce3d8cd5ee82291dd22c7dad068e559b831bc1 | Shell | yah00078/Piviewer | /intelvnc.sh | UTF-8 | 2,114 | 3.6875 | 4 | [] | no_license | #!/bin/bash
#----------------------
#On demande le démarrage de VNC avec controle
function start-vnc {
TARGET=$1
echo -e "\033[34m VNC Start TARGET:$1 ***CONTROL MODE*** \033[0m"
xinit /usr/bin/vncviewer $TARGET -shared -passwordfile /root/vnc.pass -qualitylevel 9 -compresslevel 6 >/dev/null 2>&1 &
echo -e "\033[34m ... | true |
dc6287fde95092706a7b9074aa8c2ac47e6bf7ac | Shell | cHolzberger/kvm-osx | /bin/mon-send | UTF-8 | 914 | 3.71875 | 4 | [] | no_license | #!/bin/bash
SCRIPT_DIR=$(dirname $(readlink -f $0))
source $SCRIPT_DIR/config-common
source $SCRIPT_DIR/config-machine
WANT_SEAT=$(echo $1 | cut -d":" -f 2)
WANT_MACHINE=$(echo $1 | cut -d":" -f 1)
MACHINE=${WANT_MACHINE:-"default"}
SEAT=${WANT_SEAT:-"$MACHINE"}
if [ "x$MACHINE" == "x" ]; then
echo "Usage:"
echo ... | true |
80169946f2693f0861c6f6c6d15073dcf650562a | Shell | tamaskenez/gtrselect | /mining_scripts/img_postprocess.sh | UTF-8 | 161 | 2.78125 | 3 | [] | no_license | RESDIR=../res
DIR=$RESDIR/imgs_table_horiz
rm -rf $DIR
mkdir $DIR
for a in $RESDIR/imgs/*; do
gm convert -resize x400 -rotate 90 $a $DIR/$(basename $a)
done
| true |
99800615a2bcefa364e25c90cbfa07c104fb36c6 | Shell | meain/programmingfonts-screenshots | /scripts/stagechanged | UTF-8 | 299 | 3.125 | 3 | [] | no_license | #!/bin/sh
for image in images/*; do
if [ -f "$image" ] && [ -f "images.bkp/$(basename "$image")" ]; then
if compare -metric RMSE "$image" "images.bkp/$(basename "$image")" NULL: 2>&1 | grep -vq '0 (0)'; then
echo "$image"
git add "$image"
fi
fi
done
| true |
3f46f45a91d858fad82d5298925d2276be94b2fb | Shell | cylindricalcube/k8s-flask-postgres-app | /scripts/release | UTF-8 | 393 | 3.1875 | 3 | [] | no_license | #!/bin/bash
###
# scripts/release
# The release script pushes the current version and last built Docker image
# to Docker Hub
[[ -z "$TD_PROJECT_ROOT" ]] && echo "TD_PROJECT_ROOT not set, exiting.." && exit 1
APP_SOURCE_DIR="${TD_PROJECT_ROOT}/src"
VERSION=$(cat "${APP_SOURCE_DIR}/version")
IMAGE=cstubbs/todoozle
... | true |
217e5734c371f39d0378d11d1499ce4f11b8029f | Shell | Jeff-Russ/duco | /old/bash/lib/check_args.sh | UTF-8 | 906 | 3.390625 | 3 | [] | no_license | #!/bin/sh
check_args () {
if [ "$#" -eq 0 ]
then
DIR_MISSING=false
DESC=''
if [ "$(ls -A $CALLER_PATH)" ]
then
m="This directory is not empty! This will create a new app here."
fancyprompt "$m" '' '' abort_appgen
fi
PROJ_PATH=$(abs_path "$CALLER_PATH")
elif [ "$#" -eq 2 ]
... | true |
99d8e626686b2683c7e3e63f5674175efa2a30f2 | Shell | omega/dev-admin | /actions/debug/script.sh | UTF-8 | 643 | 3.015625 | 3 | [] | no_license | # Just a sample action that lets me test and debug some aspects
id
echo "[1;32;40m[1m[ok][0m"
echo "[31;40m[1m[error][0m"
# Show all the colors of the rainbow, should be run under bash
#for STYLE in 0 1 2 3 4 5 6 7; do
#for FG in 30 31 32 33 34 35 36 37; do
#for BG in 40 41 42 43 44 45 46 47; do
#CTRL... | true |
8a44b747db8617025ecf6d331dc0ba8e736193aa | Shell | anitlthomas123/gitdemo | /Francis/even.sh | UTF-8 | 111 | 3.109375 | 3 | [] | no_license | #!/bin/bash
read -p "Enter the no.:" n
if(($n%2==0))
then
echo "Even number"
else
echo "Odd number"
fi
| true |
2c4e3bbcfba7366c0b8587c6da93df0b1ecc8b28 | Shell | chappyhome/bin.deleverkindle.com | /Old/batchConvertCover.sh | UTF-8 | 740 | 3.53125 | 4 | [] | no_license | #!/bin/sh
library_dir=$1
OLDIFS=$IFS
IFS=:
#echo "find $add_library_dir -mindepth 2 -type d -printf '%p$IFS'"
for findlist in $( find "$library_dir" -mindepth 2 -type d -printf "%p$IFS")
do
#echo ${list}
for findname in $( find "${findlist}" -type f -name cover.jpg )
do
#echo ${filename}
jpg... | true |
462b94791f98bb8749017bec2168715304f8d930 | Shell | elizabethengelman/bash_scripting_zagaku | /zagaku.sh | UTF-8 | 4,161 | 3.734375 | 4 | [] | no_license | #!/bin/bash
BLUE='\033[0;36m'
GREEN='\033[0;32m'
PURPLE='\033[0;35m'
RED='\033[0;31m'
NC='\033[0m'
LEFT_MARGIN=" "
title_slide () {
clear
echo
echo -e "$LEFT_MARGIN${BLUE}Writing Bash Scripts${NC}"
echo -e "$LEFT_MARGIN${BLUE} by Elizabeth" ${NC}
}
slide_1 () {
clear
echo
echo -e "$LEFT_MARGIN${BLUE... | true |
a9fdeb38b212f8afc628e6532164eb146f025bc0 | Shell | aqmail/aQmail | /ucspissl/configure | UTF-8 | 1,014 | 3.265625 | 3 | [
"LicenseRef-scancode-warranty-disclaimer",
"ISC",
"LicenseRef-scancode-mit-taylor-variant"
] | permissive | #!/bin/sh
#********************************************************************************
# Create compile, load, makelib
CFLAGS=`cat conf-cc | grep ^CFLAGS 2>/dev/null | cut -d= -f2`
echo -n "Checking for compile ... "
CC="cc"
( echo '#!/bin/sh'
echo exec "$CC" "$CFLAGS" -c '${1+"$@"}' ) > compile
chmod 755 comp... | true |
e568198502479bd336765589de42809a1641af00 | Shell | Rajas1312/Flip-Coin-Simulation | /flipCoinSimulator.sh | UTF-8 | 774 | 3 | 3 | [] | no_license | #!/bin/bash -x
echo " Flip Coin Simulation problem"
a=0
b=0
x=0
y=0
for i in {1..42}
do
if [ $((RANDOM%2)) -eq 0 ]
then
echo "Heads is the winner"
((a++))
else
echo "Tails is the winner"
((b++))
fi
done
echo " $a times heads won"
echo " $b times tails won"
if [ $a -gt $b ]
then
c=$((a-b))
echo... | true |
bf040e4a625325e66d008262cdf5e67bed3e8a0d | Shell | petronny/aur3-mirror | /gnome-shell-extension-maximus/PKGBUILD | UTF-8 | 1,873 | 2.71875 | 3 | [] | no_license | #Maintainer: jsh <jsh at myreseau dot org>
pkgname=gnome-shell-extension-maximus
pkgver=20130621
pkgrel=1
pkgdesc="Removes decoration (i.e. the title bar) from maximised windows, saving vertical real estate."
arch=('any')
url="https://bitbucket.org/mathematicalcoffee/maximus-gnome-shell-extension"
license=('Unknown')
... | true |
8690f7970f9b9d59825110fa17e17ce4b541e3ae | Shell | azedarach/reanalysis-dbns | /bin/regrid_jra55_inputs.sh | UTF-8 | 2,209 | 3.171875 | 3 | [
"MIT"
] | permissive | #!/bin/bash
# License: MIT
# Regrid JRA-55 input fields.
PROJECT_DIR="${HOME}/projects/reanalysis-dbns"
BIN_DIR="${PROJECT_DIR}/bin"
RESULTS_DIR="${PROJECT_DIR}/results/jra55"
REGRID_FIELDS="${BIN_DIR}/regrid_cdo.sh"
if test ! -d "$RESULTS_DIR" ; then
mkdir -p "$RESULTS_DIR"
fi
slp_datafile="${RESULTS_DIR}/fie... | true |
8bca64849e1978984c9eee2ed83b13f795f087e0 | Shell | moskey71/RMonEL7 | /SupportScripts/redmine-osprep.sh | UTF-8 | 8,587 | 3.953125 | 4 | [
"Apache-2.0"
] | permissive | #!/bin/bash
# shellcheck disable=SC2015
#
# Script to handle preparation of the instance for installing
# and configuring RedMine
#
#################################################################
PROGNAME=$(basename "${0}")
LOGFACIL="user.err"
# Read in template envs we might want to use
while read -r RMENV
do
# s... | true |
683a49d07e6d663eb9fae6839828abef5acc8524 | Shell | camuso/scripts | /gitgetline | UTF-8 | 352 | 3.5625 | 4 | [] | no_license | #!/bin/bash
#
function usage() {
echo
echo "usage: gitgetline <FROM-COMMIT-OR-TAG> <TO-COMMIT-OR-TAG> <PATTERN>"
echo -e "\tcommand: git log COMMIT-OR-TAG..COMMIT-OR-TAG --oneline | grep --color PATTERN"
echo
exit
}
[ $# -ne 3 ] && usage
echo "git log "$1".."$2" --oneline | grep --color "$3""
git log "$1".."$2"... | true |
b3efab8c1dd5fc0e4245830999710eb3288e2462 | Shell | mrquincle/noparama | /scripts/collect.sh | UTF-8 | 673 | 3.296875 | 3 | [] | no_license | #!/bin/sh
directory=${1:? "directory"}
touch $directory/purity.txt
rm $directory/purity.txt
touch $directory/rand.txt
rm $directory/rand.txt
touch $directory/adjusted_rand.txt
rm $directory/adjusted_rand.txt
for f in $directory/*/*/; do
cat $f/results.score.txt | grep ^Purity | cut -f2 -d: >> $directory/purity.txt... | true |
f79a52bd587d7a9d36a25316a7e2a3fb65cae4ef | Shell | luayalem/dd | /dd-bbr-integration/backup_bbr.sh | UTF-8 | 2,212 | 3.265625 | 3 | [] | no_license | #!/usr/bin/env bash
export BOSH_CLIENT_SECRET=v51N-hfSFTdVHh9uAxNDheR_6D3BTE3P
export PRIVATE_KEY=/bin/bbr/bbr_key
export DIRECTOR_IP=10.0.0.10
export ERT_USERNAME=bbr_client
export BOSH_USERNAME=bbr
export DEPLOYMENT_NAME=cf-e6b6ade56b8a6e34b0e7
export BOSH_SERVER_CERT=/bin/bbr/bbr_root_cert
export LOG_FILE=backup_lo... | true |
6fb5b6388134246cf6fb1e801742bb22ec0fe00d | Shell | crimsonfaith91/click-to-deploy | /cloudbuild/set_commit_status.sh | UTF-8 | 2,196 | 3.203125 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash
#
# Copyright 2018 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed t... | true |
4501fe83afa670cd24f84ef5f069152506c6f4c7 | Shell | shashi1304/FIOLDE_INIT | /TESTSCRIPT.SH | UTF-8 | 846 | 3.21875 | 3 | [] | no_license | #!bin\bash
echo "Parameter I passed" $0 $1 $2
echo $x "This is returned from ?"
FILE_NM=$1
SRC_DIR=$2
DEST_DIR=$3
echo "FILE_NM value is $FILE_NM"
echo "SRC_DIR value is $SRC_DIR"
echo "DEST_DIR value is $DEST_DIR"
LKP_LIST_FILE=./List_of_Files.lkp
ls -lrt ${SRC_DIR} >> $LKP_LIST_FILE
for LKP_LIST_FILE in $SRC_... | true |
7c6b1b11b8e6788af4cd7ce84cecc912cd2c84b7 | Shell | duxing2007/srcutils | /bin/get_ftrace.sh | UTF-8 | 451 | 3.140625 | 3 | [] | no_license | #/system/bin/sh
sleep 6
mount -t debugfs none /d
#init filter
echo > /d/tracing/set_ftrace_filter
for fn in `cat /data/f.txt`
do
echo $fn >> /d/tracing/set_ftrace_filter
done
echo function > /d/tracing/current_tracer
echo 'begin tracing'
i=0;
while busybox [ $i -lt 20 ]
do
date > /data/to/t$i.txt
cat /proc/up... | true |
40bea94c5d163d623f6a82b218dba9fb9dbeac5c | Shell | jonauman/puppet-hybris | /modules/aws/files/autoname.sh | UTF-8 | 2,293 | 3.375 | 3 | [] | no_license | #!/bin/bash
#
# autoname Set your hostname in amazon
#
# chkconfig: 2345 90 60
# description: little script that will setup instance hostnema during bootup
### BEGIN INIT INFO
# Provides: autoname
# Required-Start: $local_fs $syslog
# Required-Stop: $local_fs $syslog
# Default-Start: 2345
# Default-Stop: 90
... | true |
6eb26b127969b98c946953541c72723bbf91a6b5 | Shell | keathley/dotfiles | /bin/histcount | UTF-8 | 922 | 4.03125 | 4 | [] | no_license | #!/bin/bash
#
# Written by Chris Keathley
#
# Counts up history commands. I use this to find commands that I would like to
# alias.
# $ histcount
set -e
HISTFILE=~/.local/share/fish/fish_history
# Tail the file
tail -n 1000 $HISTFILE `# Tail the history file for fish` \
| sed 's/^- cmd://' ... | true |
8f55ab2b900b822357a01b69480f673e15a9dbf2 | Shell | bestjae/fg_jnl | /skt_script/micro/id-ns-block.sh | UTF-8 | 287 | 2.921875 | 3 | [] | no_license | #!/bin/bash
#$1 = namespace id
nvme id-ns /dev/nvme0n1
nvme id-ns /dev/nvme0n1 --vendor-specific
nvme id-ns /dev/nvme0n1 --raw-binary
nvme id-ns /dev/nvme0n1 --human-readable
ret=`echo $?`
if [ $ret -eq 0 ]; then
echo "id-ns command pass"
else
echo "id-ns command fail"
fi
| true |
9effc07393892762ed261c7c35deec8b3a728fb7 | Shell | shopetan/shell | /sougo/shell/sougo.sh | UTF-8 | 9,092 | 3.53125 | 4 | [] | no_license | #!/bin/bash
##############################################################
## file name: sougo.sh ##
## function :file shuffle ##
##############################################################
# シャッフルの挙動はOK
# shuffle function
sougo_file(){
#拡張性に欠... | true |
9a9e793c8f6e24d1abcc006b8f860a09805edcee | Shell | CermakM/char-generator | /src/scraper/font-unzip.sh | UTF-8 | 478 | 3.828125 | 4 | [
"Apache-2.0"
] | permissive | #!/bin/bash
## Unzip all zip files found in the given path
TARGET=`realpath $1`
[ -z $TARGET ] && printf '%s\n%s\n' 'argument TARGET has not been provided' \
'TARGET is a path to the parent font directory containing subdirectories with *.zip files' && exit 1
find $TARGET -name '*.zip' -type f | xargs -I{} sh -... | true |
488b8f017f4d367dcd5394b61e6ffa14ed65a008 | Shell | lxdraw/reverse-ssh | /install-reverse-ssh-tunnel.sh | UTF-8 | 1,178 | 3.125 | 3 | [] | no_license | #!/usr/bin/env sh
set -euo pipefail
# Install gcloud cli
if ! command -v gcloud &> /dev/null
then
echo "gcloud not found. Installing..."
curl -Lo google-cloud-sdk.tar.gz https://dl.google.com/dl/cloudsdk/channels/rapid/downloads/google-cloud-sdk-331.0.0-darwin-x86_64.tar.gz
tar xvzf google-cloud-sdk.tar.g... | true |
d22fc6ce33f98f0ef31fdde20e2d363d74826de1 | Shell | AdoptOpenJDK/jdk9-jigsaw | /session-1-jigsaw-intro/03_MultiModuleCompilation/multiModCompile.sh | UTF-8 | 1,127 | 3.28125 | 3 | [
"CC0-1.0",
"LicenseRef-scancode-unknown-license-reference"
] | permissive | #!/bin/bash
set -eu
source ../../common-functions.sh
DESTINATION_FOLDER="mods"
echo ""
echo "${info} *** Displaying the contents (source files) of the 'src' folder *** ${normal}"
runTree src
echo ""
echo "${info} *** Compiling both modules into the '$DESTINATION_FOLDER' folder *** ${normal}"
javac -d $DESTINATION_... | true |
0097af039e7874ffbd187cf72c61457dd99a4ab5 | Shell | acampbell1990/kt-robots | /server/deploy-server.sh | UTF-8 | 1,756 | 3.28125 | 3 | [
"MIT"
] | permissive | #!/usr/bin/env bash
is_set() {
local v=$1
local message=$2
if [ ${v+x} ]; then
echo " = '${v}'"
else
echo $message
exit 1
fi
}
AWS_ACCOUNT_ID=$(aws sts get-caller-identity --query Account --output text)
is_set $AWS_ACCOUNT_ID "Unable to get AWS_ACCOUNT_ID from caller-identit... | true |
83d0faa6cc3281aed61be211fccea778cc5a28f3 | Shell | JorgenWan/RetrieveNMT | /fairseq-baseline/shells/MD/test_TM.sh | UTF-8 | 1,278 | 2.65625 | 3 | [] | no_license | export CUDA_VISIBLE_DEVICES=3
PYTHON=/home/v-jiaya/anaconda3/bin/python
GENERATE=/home/v-jiaya/RetrieveNMT/fairseq-baseline/generate.py
src=$1
tgt=$2
testset=$3
if [ "$src" == "en" -a "$tgt" == "de" ]; then
MODEL_DIR=/home/v-jiaya/RetrieveNMT/data/MD/retrieve-en2de-top2/concat/model/en2de-TM-base1/
TEXT=/home/v... | true |
9fe9b396e8c8d3357dcc0fd9db79163b447f37be | Shell | philtap/Yelp_reviews_analysis | /NLP_code/Install_NLP.sh | UTF-8 | 890 | 2.84375 | 3 | [
"MIT"
] | permissive | #!/bin/bash
# This file should be run from the NLP directory in the submission zip
echo -**********************************************************-
echo Script:Install_NLP.sh
echo -**********************************************************-
echo ------------------------------------------
echo Installing depende... | true |
eafa6a2c0953ffaa2db7d4d73e35dc37fc82149f | Shell | toamitkumar/chef_cookbooks_suse | /bootstraps/base_packages.sh | UTF-8 | 422 | 3.328125 | 3 | [] | no_license | #!/usr/bin/env bash
function bootstrap_base_packages {
echo "= Base packages"
if [ "10" -eq "$VERSION"]; then
zypper install gcc gcc-c++ zlib-devel openssl-devel curl-devel readline-devel
elif [ "11" -eq "$VERSION" ]; then
zypper install gcc gcc-c++ zlib-devel libopenssl-devel libcurl-devel readline-dev... | true |
03e83da3edce172eef9cc7da8a090415f957a30b | Shell | johnlee175/ImageProcessor | /imgproc-java/dist/linux/launcher.sh | UTF-8 | 2,006 | 3.25 | 3 | [
"Apache-2.0"
] | permissive | #!/usr/bin/env bash
cd "$(dirname "$0")"
# download and copy jre to this directory
if [ ! -x "$(command -v java)" ]; then
JAVA_BIN="$(pwd)/jre/bin/java"
echo "java not found, using built-in jre in ${JAVA_BIN}"
alias java=${JAVA_BIN}
fi
# you can java-debug with 'jdb -attach 127.0.0.1:51230'
# you can jav... | true |
fc5fdd4dacf268f6eb50711b64ae03788ad0aef0 | Shell | psteinb/deeprace | /scripts/resnet/titanx-pascal-short/resnet50.sh | UTF-8 | 1,887 | 2.515625 | 3 | [
"BSD-3-Clause"
] | permissive | #!/bin/bash
cd /home/steinba/development/deeprace/scripts/titanx-pascal-short
export CUDA_VISIBLE_DEVICES=1
module load singularity/2.4.2
for r in `seq 1 10`;
do
echo
echo $i
echo
for i in 32 64 128 256 512;
do
echo "$0 batch_size=$i run ${r}/10"
singularity exec -B /home/steinbac/development/d... | true |
5e708c71a7bf3163d1ba9f6a4fd37686399cb0e3 | Shell | sensu-plugins/sensu-plugins-postgres | /test/fixtures/bootstrap.sh | UTF-8 | 869 | 3.171875 | 3 | [
"MIT"
] | permissive | #!/bin/bash
#
# Set up a super simple web server and make it accept GET and POST requests
# for Sensu plugin testing.
#
set -e
# base utilities that need to exist to start bootatraping
apt-get update
apt-get install -y wget
# setup the rubies
source /etc/profile
DATA_DIR=/tmp/kitchen/data
RUBY_HOME=${MY_RUBY_HOME}
... | true |
27db01de66fbc23c91633d73e020d7bc1eaad9cc | Shell | skmpro27/linux-content | /array/2ndLargest.sh | UTF-8 | 782 | 3.703125 | 4 | [] | no_license |
#! /bin/bash -x
declare -a numbers
i=0
while [ $i -lt 10 ]
do
numbers[$i]=$(( RANDOM%900+100 ))
i=$(( i+1 ))
done
echo ${numbers[@]}
i=1
min1=${numbers[0]}
max1=${numbers[0]}
while [ $i -lt ${#numbers[@]} ]
do
if [ ${numbers[$i]} -gt $max1 ]
then
max1=${numbers[$i]}
elif [ ${numbers[$i]} -lt $min1 ]
then
... | true |
77a009d8b94a7a6feafd609842231df02ce9e6c8 | Shell | yijia2413/docker-bigdata-cluster | /scripts/download_tars.sh | UTF-8 | 1,241 | 3.046875 | 3 | [
"Unlicense"
] | permissive | #!/bin/bash
set -ex
CUR_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null && pwd )"
TARS_DIR="${CUR_DIR}/tars"
mkdir -p ${TARS_DIR}
HADOOP_VERSION=3.1.1
HADOOP_URL="https://dist.apache.org/repos/dist/release/hadoop/common/hadoop-${HADOOP_VERSION}/hadoop-${HADOOP_VERSION}.tar.gz"
wget ${HADOOP_URL} -O ${TARS_D... | true |
f3c74dc5a038b77ba93ec3e2e122d11270ceea1a | Shell | vraj20/Vraj-Shah | /121063_lab5/lab5_3.sh | UTF-8 | 68 | 2.75 | 3 | [] | no_license | i=1
temp=$1
while [ "$i" <= "$2" ]
do
echo $1
i=`expr $i +1 `
done
| true |
b9e258a78d9b494ebc85a1997ff27b56c485f694 | Shell | wchsh908/myEm | /tools/obsolete/bounce/bounce_analysis.sh | UTF-8 | 7,453 | 3.046875 | 3 | [] | no_license | #!/bin/sh
# 本程序用于从输入的退信邮箱帐号中读取新邮件并作分析处理。功能包括:
# 1.查出无效的邮箱地址,结果放在user_not_found目录下各个文件中。
#分析一封邮件.参数:邮件文件全名;返回:无
read163()
{
#网易
if grep -q -m1 "550 User not found" $1
then
recipient=$(grep -Eo -m1 "([a-zA-Z0-9_-.+]+)@(vip.163.com|163.com|126.com|yeah.net)" $1)
echo "User not found: $recipient. "
echo $recip... | true |
e4985503d4aa6d83fbbdc1a0670713a5dd781593 | Shell | panpanse/systeme_fichiers_distribues | /benchmark/readingBigFile.sh | UTF-8 | 191 | 3.015625 | 3 | [] | no_license | #!/bin/bash
whereToWrite=$1
nameOfMachine=`uname -n`
cd "$whereToWrite/$nameOfMachine"
# lecture des gros fichiers
cat bigFile1 > /dev/nul
cat bigFile2 > /dev/nul
cat bigFile3 > /dev/nul
| true |
56e65dc935a81c7809d77c9b877645c480240fe6 | Shell | richard512/opentraveldata | /tools/prepare_ref_dump_file.sh | UTF-8 | 9,004 | 4.03125 | 4 | [] | no_license | #!/bin/bash
#
# One parameter is optional for this script:
# - the file-path of the dump file extracted from the reference data.
#
##
# MacOS 'date' vs GNU date
DATE_TOOL=date
if [ -f /usr/bin/sw_vers ]
then
DATE_TOOL=gdate
fi
displayRefDetails() {
##
# Snapshot date
SNAPSHOT_DATE=`$DATE_TOOL "+%Y%m%d"`
S... | true |
8dfdc66e966c70afee842586ba60219a90b65351 | Shell | rom1504/rbot | /grammar/checkEverything.sh | UTF-8 | 95 | 2.640625 | 3 | [
"MIT"
] | permissive | for i in `ls test/*.test | cut -f1 -d'.' | cut -f2 -d'/'`;
do
echo $i :
./check.sh $i ;
done
| true |
bb5a48f6739c258c81c73aa7dcd2ee26a8fd2c6e | Shell | ElectricDinoLab/Efield_Pipeline | /tarfolders.sh | UTF-8 | 155 | 2.5625 | 3 | [] | no_license | #!/bin/bash
#tar -zcvf archive-name.tar.gz directory-name
for i in *
do
echo tar -zcvf "${i}.tar.gz" "${i}"
tar -zcvf "${i}.tar.gz" "${i}"
done | true |
867453434807a493aa8d6d9f336d71d46d8ef1f7 | Shell | Li-Wentao/QC_workflow | /workflow | UTF-8 | 7,207 | 2.890625 | 3 | [] | no_license | #!/bin/bash
### QC ###
### Step 1: check missingness ###
plink --bfile $1 --missing #check for missing data
plink --bfile $1 --geno 0.02 --make-bed --out data_out #setting the threshold 0.02, can be changed accordingly
plink --bfile $1 --mind 0.02 --make-bed --out data_out #setting the threshol... | true |
5cbc27f25fc7a0350a1c9b9ad625002e9456d00a | Shell | ni1ight/istrobot-stopwatch-ui | /scripts/install_unity.sh | UTF-8 | 492 | 2.5625 | 3 | [] | no_license | #!/bin/bash
INSTALL_DIR='/usr/local/bin/'
DESKTOP_DIR=`realpath ~/.local/share/applications/`
INSTALL_ICON=`realpath ~/.local/share/icons/`
cp StopWatch ${INSTALL_DIR}
cp ./../icons/StopWatch.png ${INSTALL_ICON}
echo "
[Desktop Entry]
Encoding=UTF-8
Version=1.0
Type=Application
Name=StopWatch
Icon=StopWatch.png
Path=... | true |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.